Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.lang
[Java] Class MissingFieldException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  groovy.lang.GroovyRuntimeException
                      groovy.lang.MissingFieldException

    public class MissingFieldException
    extends GroovyRuntimeException

An exception occurred if a dynamic field dispatch fails with an unknown field. Note that the Missing*Exception classes were named for consistency and to avoid conflicts with JDK exceptions of the same name.

Authors:
  James Strachan

Version:
  \$Revision\$

Constructor Summary
`MissingFieldException(java.lang.String field, java.lang.Class type)`
`MissingFieldException(java.lang.String field, java.lang.Class type, java.lang.Throwable e)`
`MissingFieldException(java.lang.String message, java.lang.String field, java.lang.Class type)`

Method Summary
`java.lang.String` | `getField()` @return the name of the field that could not be found
`java.lang.Class` | `getType()` @return The type on which the field was attempted to be called

Methods inherited from class GroovyRuntimeException
getLocationText, getMessage, getMessageWithoutLocationText, getModule, getNode, setModule

Methods inherited from class java.lang.RuntimeException
java.lang.RuntimeException#printStackTrace(), java.lang.RuntimeException#printStackTrace(java.io.PrintStream), java.lang.RuntimeException#printStackTrace(java.io.PrintWriter), java.lang.RuntimeException#fillInStackTrace(), java.lang.RuntimeException#getCause(), java.lang.RuntimeException#initCause(java.lang.Throwable), java.lang.RuntimeException#toString(), java.lang.RuntimeException#getMessage(), java.lang.RuntimeException#getLocalizedMessage(), java.lang.RuntimeException#getStackTrace(), java.lang.RuntimeException#setStackTrace([Ljava.lang.StackTraceElement;), java.lang.RuntimeException#addSuppressed(java.lang.Throwable), java.lang.RuntimeException#getSuppressed(), java.lang.RuntimeException#wait(long), java.lang.RuntimeException#wait(long, int), java.lang.RuntimeException#wait(), java.lang.RuntimeException#equals(java.lang.Object), java.lang.RuntimeException#hashCode(), java.lang.RuntimeException#getClass(), java.lang.RuntimeException#notify(), java.lang.RuntimeException#notifyAll()

Constructor Detail

### MissingFieldException

    public MissingFieldException(java.lang.String field, java.lang.Class type)

### MissingFieldException

    public MissingFieldException(java.lang.String field, java.lang.Class type, java.lang.Throwable e)

### MissingFieldException

    public MissingFieldException(java.lang.String message, java.lang.String field, java.lang.Class type)

Method Detail

### getField

    public java.lang.String getField()

  Returns:
    the name of the field that could not be found

### getType

    public java.lang.Class getType()

  Returns:
    The type on which the field was attempted to be called

Groovy Documentation